candy = {}
candy.__index = candy

function candy.new(x, y, radius)
    local c = {}

    c.x = x
    c.y = y
    c.radius = radius

    return setmetatable(c, candy)
end

function candy:overIt(x, y)
    local dx = self.x - x
    local dy = self.y - y
    local hyp = math.sqrt(math.pow(dx, 2) + math.pow(dy, 2))

    return hyp < self.radius
end

return candy